#!/usr/bin/python3
# -*- coding: utf-8 -*-

from curses import color_pair as get_pair

def loadavg (sep=', '):
	'''
	Returns average load formated separated by sep
	'''
	from os import getloadavg as loadavg
	load = loadavg ()
	return ('%.2f'%load [0] + sep + '%.2f'%load [1] + sep + '%.2f'%load [2])


def main (line, screen):
	screen.addstr (line, 0, '-->', get_pair (5))
	screen.addstr (line, 3, 'Charges moyennes (1, 5, 15 minutes) :', get_pair (1))
	screen.addstr (line, 41, loadavg (), get_pair (2))
	line += 1
	return (line)